import request from '@/utils/request'

// 省钱设定采购标准列表
export function getPurchaseList(data) {
    return request({
        url: '/saveMoneyStandard/saveMoneyStandardPurchaseList',
        method: 'post',
        data
    })
}

// 省钱设定 设备标准列表
export function getPurchaseDeviceList(data) {
    return request({
        url: '/saveMoneyStandard/saveMoneyStandardDeviceList',
        method: 'post',
        data
    })
}

// 省钱设定 设备标准列表详情
export function getPurchaseDeviceDetail(data) {
    return request({
        url: '/saveMoneyStandard/saveMoneyStandardDeviceDetail',
        method: 'post',
        data
    })
}

// 省钱设定 设备标准列表编辑
export function getPurchaseDeviceEdit(data) {
    return request({
        url: '/saveMoneyStandard/saveMoneyStandardDeviceEdit',
        method: 'post',
        data
    })
}


// 查询楼栋
export function getbuildingList() {
    return request({
        url: '/energy/findAllBuilding',
        method: 'get'
    })
}

// 省钱设定 弹窗区域下拉
export function getAeeaList() {
    return request({
        url: `/system/dict/data/list?dictType=area`,
        method: 'get'
    })
}

// 省钱设定 弹窗区域二级下拉
export function getSecondLevelList(data) {
    return request({
        url: '/saveMoneyStandard/areaList',
        method: 'post',
        data
    })
}

// 省钱设定 弹窗底部列表
export function getDialogBottomList(data) {
    return request({
        url: '/saveMoneyStandard/saveMoneyQueryByArea',
        method: 'post',
        data
    })
}
